---
sidebar_position: 1
---

# System Setup

## Overview
The **System** module provides global access to sprite frames and animation assets, enabling efficient resource management across the game.

## Sprite Frame Provider
The **SpriteFrameProvider** allows global access to sprite frames from anywhere in the codebase.

![Sprite Frame Provider](../img/05-main-scene/sprite-frame-provider.png)

**Setup Steps:**
1. Configure the **SpriteFrameProvider** to register sprite assets.
2. Ensure all sprite frames are added to the provider for global access.

## Animation Provider
The **Animation Provider** manages and exposes game-related animation assets globally.

![Animation Provider](../img/05-main-scene/animation-provider.png)

**Setup Steps:**
1. Register animation assets in the **Animation Provider**.
2. Verify that animations are correctly linked to their respective prefabs.