---
sidebar_position: 3
---

# Reel Slot Setup

## Overview
The reel slot system manages the core spinning mechanics of the game.

## Asset Preparation
- Add symbol textures and reel frames:
  - ![Symbol Texture](../img/05-main-scene/add-symbol-texture.png)
  - ![Reel Frame](../img/05-main-scene/add-reel-frame.png)

## Sprite Frame Provider
- Add symbols to the **SpriteFrameProvider** for global access.
  - ![Sprite Frame Provider](../img/05-main-scene/sprite-frame-provider-reel-slot.png)

## Reel Frame
- Configure the reel frame:
  - ![Reel Frame 1](../img/05-main-scene/add-reel-frame-2.png)
  - ![Reel Frame 2](../img/05-main-scene/reel-frame.png)

## Configuration
Use the `reel-scroller-helper` to set up spinning behavior:

![Reel Scroller Helper](../img/05-main-scene/reel-scroller-helper.png)

| Property | Description | Example |
|----------|-------------|---------|
| **Cell Item Script Name** | Script attached to each cell item. | ![Cell Item Script](../img/05-main-scene/hyper-cell-item.png) |
| **Scroller Script Name** | Script handling spinning logic. | ![Scroller Script](../img/05-main-scene/scroller.png) |
| **Row Count x Reel Count** | Number of slot items per row and column. | ![Reel Row Column](../img/05-main-scene/reel-row-column.png) |
| **Cell Size** | Size of each cell. | ![Cell Size](../img/05-main-scene/cell-size.png) |
| **Cell Spacing** | Horizontal and vertical distance between cells. | - |
| **Cell Dim Color** | Dark color for non-winning cells during win animations. | ![Dim Cell Color](../img/05-main-scene/dim-cell-color.png) |
| **Top Count and Bot Count** | Additional cells at the top and bottom for spinning logic. | ![Cell Top Bottom](../img/05-main-scene/cell-top-bottom.png) |

## Generate Reel Panel
- Use the `reel-scroller-helper` to auto-generate the reel panel.
  - ![Generate Panel](../img/05-main-scene/generate-panel.png)

**Tip**: Temporarily disable any popups covering the scene to view and edit reel slot components clearly.