---
sidebar_position: 17
title: Win Limit
description: Display win limit popups during gameplay.
---

# Win Limit

## Overview
The **Win Limit** system displays popups when specific win conditions are met, enhancing player feedback and interaction.

- **Win Limit Popup**: Appears when a player’s win points reach a predefined threshold.
  ![Win Limit Popup](../img/05-main-scene/win-limit/overview.png)

- **Gamble Win Limit Popup**: Triggered during the gamble feature when the maximum number of gamble attempts (typically 5) is reached.

  ![Gamble Win Limit Popup](../img/05-main-scene/win-limit/overview-gamble.png)

## Prepare Assets

#### Prefab Location
| Path | Prefab Name |
|------|-------------|
| `assets/core-assets/hyper-core/packages/present/prefabs` | `present-win-limit-reached` |

#### Scene Hierarchy
Place the prefab in the following scene structure:
```
Canvas
└── [main-view]
    └── [game-view]
        └── [present-win-limit-reached]
```
- ![Scene Structure](../img/05-main-scene/win-limit/win-limit-component.png)

## Setup

#### Assets
- Drag and drop the required images onto the corresponding nodes in the editor.
- ![Asset Setup](../img/05-main-scene/win-limit/assets-win-limit.png)

| Sprite | Node Name |
|--------|-----------|
| `you-won` | `you-won` |
| `win-limit-reached` | `win-limit-reached` |
| `gamble-limit-reached` | `gamble-limit-reached` |
| `btn-normal` | `btn-continue` |
| `text-continue` | `continue` |

#### Font
- Use a custom font to match the win label style, aligning with the game’s theme.
- ![Font Setup](../img/05-main-scene/win-limit/add-font.png)

**Tip**:
- Follow the game design layout for asset placement and font styling.
- Verify win limit configurations to ensure they match game-specific thresholds.